xquery version "3.0";
declare option exist:serialize "method=xhtml encoding=UTF-8 media-type=text/html indent=no";

declare function local:main() as node()
{
<div>
  <table border="1">
    <tr>
      <th>№</th>
      <th>Язык разметки</th>
      <th>Год создания</th>
      <th>Описание</th>
    </tr>
    {
    let $data := doc('/db/apps/homework/data.xml')
    for $language in $data//language
    let
      $id := xs:string($language/@id),
      $name := xs:string($language/name),
      $year := xs:string($language/year),
      $descr := xs:string($data//description[@language=$name])
    order by $id ascending
    return
    <tr>
      <td>{$id}</td>
      <td>{$name}</td>
      <td>{$year}</td>
      <td>{$descr}</td>
    </tr>
    }
  </table>
</div>
};

(: ++++++++++++++++++++++++++++++++++++++++++++++ :)
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/>
  </head>
  <body>
    <h1>XQuery example</h1>
    { local:main() }
  </body>
</html>
(: ++++++++++++++++++++++++++++++++++++++++++++++ :)

